summaryrefslogtreecommitdiffstats
path: root/images
diff options
context:
space:
mode:
authorRichard W.M. Jones <rjones@redhat.com>2011-03-29 16:03:29 +0100
committerRichard W.M. Jones <rjones@redhat.com>2011-03-29 16:03:29 +0100
commitedb7501d60a03107c21f023b256d2b01cf116437 (patch)
tree9ac9eeb1d43e1d565f28fbbb22a554eb68ed96bf /images
parent759f4369de965f46f4a93b3a75dada050f87e223 (diff)
downloadlibguestfs-edb7501d60a03107c21f023b256d2b01cf116437.tar.gz
libguestfs-edb7501d60a03107c21f023b256d2b01cf116437.tar.xz
libguestfs-edb7501d60a03107c21f023b256d2b01cf116437.zip
tests: Don't fail when compiled without support for NTFS.
Diffstat (limited to 'images')
-rwxr-xr-ximages/guest-aux/make-windows-img.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/images/guest-aux/make-windows-img.sh b/images/guest-aux/make-windows-img.sh
index 5a0cd6de..15cb7c53 100755
--- a/images/guest-aux/make-windows-img.sh
+++ b/images/guest-aux/make-windows-img.sh
@@ -1,6 +1,6 @@
#!/bin/bash -
# libguestfs
-# Copyright (C) 2010 Red Hat Inc.
+# Copyright (C) 2010-2011 Red Hat Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -21,6 +21,20 @@
export LANG=C
set -e
+# If the currently compiled libguestfs doesn't support
+# ntfs-3g/ntfsprogs then we cannot create a Windows phony image.
+# Nothing actually uses windows.img in the standard build so we can
+# just 'touch' it and emit a warning.
+if ! ../fish/guestfish -a /dev/null run : available "ntfs3g ntfsprogs"; then
+ echo "***"
+ echo "Warning: cannot create windows.img because there is no NTFS"
+ echo "support in this build of libguestfs. Just touching the output"
+ echo "file instead."
+ echo "***"
+ touch windows.img
+ exit 0
+fi
+
# Create a disk image.
../fish/guestfish <<'EOF'
sparse windows.img.tmp 512M